#include "mungal4.h"
#pragma hdrstop

#include "l4wrhous.h"

#if defined(LOCAL_TEST)
#	define Test_Tell(n) DEBUG_STREAM << n
#else
#	define Test_Tell(n)
#endif

//#######################################################################
// Warehouse
//#######################################################################
L4Warehouse::L4Warehouse() : Warehouse()
{
	Check_Pointer(this);
	Check_Fpu();
}

L4Warehouse::~L4Warehouse()
{
	Check(this);
	Check_Fpu();
}

void L4Warehouse::Purge()
{
	Check(this);

	gaugeImageBin.Purge();
	Warehouse::Purge();

	Check_Fpu();
}

Logical L4Warehouse::TestInstance() const
{
	return Warehouse::TestInstance();
}
